From e1921b820e1bfec4de0d06bf50f46cb44bca28e6 Mon Sep 17 00:00:00 2001
From: Sergey Fedorov <barracuda@macos-powerpc.org>
Date: Fri, 5 Jul 2024 12:43:04 +0800
Subject: [PATCH] runtime.c: fix time header for
 LISP_FEATURE_AVOID_CLOCK_GETTIME case

---
 src/runtime/runtime.c | 4 ++++
 1 file changed, 4 insertions(+)

diff --git src/runtime/runtime.c src/runtime/runtime.c
index 9d5675fc2..307c041de 100644
--- src/runtime/runtime.c
+++ src/runtime/runtime.c
@@ -40,7 +40,11 @@
 #include <locale.h>
 #include <limits.h>
 
+#ifdef LISP_FEATURE_AVOID_CLOCK_GETTIME
+#include <sys/time.h>
+#else
 #include <time.h>
+#endif
 
 #ifndef LISP_FEATURE_WIN32
 #include <signal.h>
